package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.TriggerCustomAnalysis(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TriggerCustomAnalysisResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.triggerCustomAnalysis();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessScope": {
"appId": "<string>",
"entitlement": {
"appId": "<string>",
"entitlementId": "<string>"
}
},
"profileFilters": [
{
"attribute": "<string>",
"values": [
"<string>"
]
}
],
"resourceScope": {
"appIds": [
"<string>"
]
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger"
payload = {
"accessScope": {
"appId": "<string>",
"entitlement": {
"appId": "<string>",
"entitlementId": "<string>"
}
},
"profileFilters": [
{
"attribute": "<string>",
"values": ["<string>"]
}
],
"resourceScope": { "appIds": ["<string>"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessScope: {appId: '<string>', entitlement: {appId: '<string>', entitlementId: '<string>'}},
profileFilters: [{attribute: '<string>', values: ['<string>']}],
resourceScope: {appIds: ['<string>']}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Trigger Custom Analysis
TriggerCustomAnalysis starts an asynchronous custom cohort analysis defined by the given profile filters and returns the ID of the analysis result. Requires the agentic role mining feature. Poll GetCustomAnalysisResult until the analysis completes.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.TriggerCustomAnalysis(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TriggerCustomAnalysisResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.triggerCustomAnalysis();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The TriggerCustomAnalysisRequest message.
AccessScope narrows a cohort to the users who hold a grant. It is combined with any ProfileFilters using AND logic, and is a complete cohort definition on its own.
This message contains a oneof named scope. Only a single field of the following list may be set at a time:
- appId
- entitlement
Show child attributes
Show child attributes
The profileFilters field.
Show child attributes
Show child attributes
ResourceScope narrows which entitlements an analysis considers, without changing the cohort. Coverage denominators stay the population the ProfileFilters and AccessScope select; only the entitlement universe shrinks. It is never a cohort definition on its own.
Show child attributes
Show child attributes
Response
Successful response
The TriggerCustomAnalysisResponse message.
The id field.
Was this page helpful?